from random import *

def X():
    a=randint(1,32)
    n=1
    while a<=24:
        a=randint(1,32)
        n=n+1
    return n

def Moyenne(n):
    s=0
    for i in range(n):
        s=s+X()
    m=s/n
    return m

